## vlc 3.0.18

=== debian/changelog ===
vlc (3.0.18-3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 04 Jul 2023 17:41:05 +0300

vlc (3.0.18-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/: Disable SDL support (Closes: #1038590)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 19:24:56 +0200

vlc (3.0.18-2) unstable; urgency=medium

  * debian/patches: Apply upstream patch for flac playback issues

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Dec 2022 22:11:55 +0100

vlc (3.0.18-1) unstable; urgency=medium

  * New upstream version 3.0.18

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 23 Nov 2022 19:50:35 +0100

vlc (3.0.18~rc2-1) unstable; urgency=medium

  * New upstream version 3.0.18~rc2
  * debian/control: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Oct 2022 08:44:18 +0200
