## vlc 3.0.19

=== debian/changelog ===
vlc (3.0.19-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/vlc-plugin-base.install: install the vaapi plugin.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Oct 2023 15:54:43 -0700

vlc (3.0.19-1) unstable; urgency=medium

  * New upstream version 3.0.19
  * debian/patches: Drop patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Oct 2023 19:52:05 +0200

vlc (3.0.18-4) unstable; urgency=medium

  [ Pino Toscano ]
  * d/vlc-plugin-base.install: drop non-existing files
  * d/rules: drop "libva" from "removeplugins" for all the archs
  * d/vlc-plugin-video-output: mark vaapi plugins as "libva"

  [ Sebastian Ramacher ]
  * debian/: Disable libplacebo. libplacebo 6 is too new for vlc.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 31 Jul 2023 23:47:01 +0200
