=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Christophe Mutricy <xtophe@videolan.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
@@ -13,8 +14,8 @@
 Build-Depends: autopoint,
                bison,
                debhelper-compat (= 13),
+               flex,
                gettext,
-               flex,
                liba52-0.7.4-dev,
                libaa1-dev,
                libarchive-dev (>= 3.1.0),
@@ -68,7 +69,6 @@
                libomxil-bellagio-dev [armhf arm64],
                libopenmpt-modplug-dev (>= 0.8.9) | libmodplug-dev (>= 1:0.8.9),
                libopus-dev (>= 1.0.3),
-               libplacebo-dev (>= 0.2.1) [linux-any],
                libpng-dev,
                libpostproc-dev (>= 7:3.0),
                libprotobuf-dev (>= 2.5.0),
@@ -91,6 +91,7 @@
                libsrt-gnutls-dev,
                libssh2-1-dev,
                libswscale-dev (>= 7:3.0),
+               libsystemd-dev [linux-any],
                libtag1-dev (>= 1.9),
                libtheora-dev (>= 1.0),
                libtwolame-dev (>= 0.3.8),
@@ -139,8 +140,8 @@
          vlc-plugin-base (= ${binary:Version}),
          vlc-plugin-qt (= ${binary:Version}),
          vlc-plugin-video-output (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: vlc-l10n (= ${source:Version}),
+         ${misc:Depends},
+            vlc-l10n (= ${source:Version}),
             vlc-plugin-access-extra (= ${binary:Version}),
             vlc-plugin-notify (= ${binary:Version}),
             vlc-plugin-samba (= ${binary:Version}) [linux-any kfreebsd-any],
@@ -179,8 +180,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvlc5 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libvlc5 (= ${binary:Version}), ${misc:Depends}
 Description: development files for libvlc
  This package contains headers and a static library required to build
  standalone applications that use VLC features.
@@ -193,8 +193,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libvlc-bin (= ${binary:Version})
 Description: multimedia player and streamer library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -208,8 +207,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvlccore9 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libvlccore9 (= ${binary:Version}), ${misc:Depends}
 Description: development files for libvlccore
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -222,8 +220,7 @@
 Section: libs
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libproxy-tools
 Provides: ${vlc:PluginABI}
 Description: base library for VLC and its modules
@@ -236,8 +233,7 @@
 Package: libvlc-bin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: tools for VLC's base library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -247,9 +243,7 @@
 
 Package: vlc-bin
 Architecture: any
-Depends: libvlc-bin (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvlc-bin (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: binaries from VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -301,9 +295,7 @@
 Package: vlc-plugin-access-extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${vlc:PluginABI}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${vlc:PluginABI}
 Enhances: vlc
 Description: multimedia player and streamer (extra access plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -315,9 +307,8 @@
 Package: vlc-plugin-video-output
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${vlc:PluginABI}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${vlc:PluginABI}
 Enhances: vlc
 Description: multimedia player and streamer (video output plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
