=== debian/rules ===
--- 
+++ 
@@ -105,6 +105,7 @@
 # freerdp: removed from Debian (#888323)
 # goom: not in Debian
 # gst-decode: not needed when having libavcodec
+# libplacebo: is too new
 # libtar: security issue (#737534)
 # live555: non-free code from RFC 3550 (#981439)
 # macosx*: MacOX only
@@ -133,6 +134,7 @@
 	--disable-freerdp \
 	--disable-goom \
 	--disable-gst-decode \
+	--disable-libplacebo \
 	--disable-libtar \
 	--disable-live555 \
 	--disable-macosx \
@@ -152,8 +154,6 @@
 	--disable-wasapi \
 	$(NULL)
 
-removeplugins += libva
-
 # Linux specific flags
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 # V4L2 is disabled on kFreeBSD due to a build failure.
@@ -161,7 +161,6 @@
 	--enable-alsa \
 	--enable-dc1394 \
 	--enable-dv1394 \
-	--enable-libplacebo \
 	--enable-linsys \
 	--enable-nfs \
 	--enable-udev \
@@ -173,7 +172,6 @@
 	--disable-alsa \
 	--disable-dc1394 \
 	--disable-dv1394 \
-	--disable-libplacebo \
 	--disable-linsys \
 	--disable-nfs \
 	--disable-udev \
