## vlc 3.0.20

=== debian/changelog ===
vlc (3.0.20-3build6) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:21:45 +0200

vlc (3.0.20-3build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:47 +0000

vlc (3.0.20-3build4) noble; urgency=medium

  * No-change rebuild against lirc t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:13:33 +0100

vlc (3.0.20-3build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:28:13 +0000

vlc (3.0.20-3build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:48:19 +0000

vlc (3.0.20-3build1) noble; urgency=medium

  * Rebuild against new libupnp17t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Mar 2024 00:36:42 +0100

vlc (3.0.20-3) unstable; urgency=medium

  * debian/control: Add missing dpkg-dev BD for time_t

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Mar 2024 10:55:19 +0100

vlc (3.0.20-2) unstable; urgency=medium

  * debian/patches: Bump module ABI for time_t transition

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Feb 2024 23:55:54 +0100

vlc (3.0.20-1) unstable; urgency=medium

  * New upstream version 3.0.20.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 01 Nov 2023 20:58:55 +0100
