=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Christophe Mutricy <xtophe@videolan.org>,
@@ -14,8 +14,9 @@
 Build-Depends: autopoint,
                bison,
                debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
+               gettext,
                flex,
-               gettext,
                liba52-0.7.4-dev,
                libaa1-dev,
                libarchive-dev (>= 3.1.0),
@@ -140,8 +141,8 @@
          vlc-plugin-base (= ${binary:Version}),
          vlc-plugin-qt (= ${binary:Version}),
          vlc-plugin-video-output (= ${binary:Version}),
-         ${misc:Depends},
-            vlc-l10n (= ${source:Version}),
+         ${misc:Depends}
+Recommends: vlc-l10n (= ${source:Version}),
             vlc-plugin-access-extra (= ${binary:Version}),
             vlc-plugin-notify (= ${binary:Version}),
             vlc-plugin-samba (= ${binary:Version}) [linux-any kfreebsd-any],
@@ -180,7 +181,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvlc5 (= ${binary:Version}), ${misc:Depends}
+Depends: libvlc5 (= ${binary:Version}),
+         ${misc:Depends}
 Description: development files for libvlc
  This package contains headers and a static library required to build
  standalone applications that use VLC features.
@@ -193,7 +195,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libvlc-bin (= ${binary:Version})
 Description: multimedia player and streamer library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -207,7 +210,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvlccore9 (= ${binary:Version}), ${misc:Depends}
+Depends: libvlccore9 (= ${binary:Version}),
+         ${misc:Depends}
 Description: development files for libvlccore
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -220,7 +224,8 @@
 Section: libs
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libproxy-tools
 Provides: ${vlc:PluginABI}
 Description: base library for VLC and its modules
@@ -233,7 +238,8 @@
 Package: libvlc-bin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: tools for VLC's base library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -243,7 +249,9 @@
 
 Package: vlc-bin
 Architecture: any
-Depends: libvlc-bin (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libvlc-bin (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: binaries from VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -295,7 +303,9 @@
 Package: vlc-plugin-access-extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${vlc:PluginABI}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${vlc:PluginABI}
 Enhances: vlc
 Description: multimedia player and streamer (extra access plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -307,8 +317,8 @@
 Package: vlc-plugin-video-output
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${vlc:PluginABI}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${vlc:PluginABI}
 Enhances: vlc
 Description: multimedia player and streamer (video output plugins)
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
- DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
